/******************************************************************************
 *            g_fcts_annexes.h                                                *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

#include "g_interface.h"

#if !defined(G_FCTS_ANNEXES)
#define G_FCTS_ANNEXES

extern GtkWidget *gtk_image_resize (GtkWidget * image, gint width, gint height);
extern GtkWidget *gtk_image_new_from_file_with_size (gchar * filename,
						    																			gint width, gint height);
extern GtkWidget *fen_dialog (GtkWidget * fenetre, gchar * titre_texte, ...);
extern void insertion_texte_fen_etat_connexion (const gchar * buffer);
extern GSList *gtk_data_list_add_by_name(GSList *list, gpointer data,
																																	gchar *name);
// Renvoie NULL si non trouvé
extern GSList *gtk_data_list_remove_by_name(GSList *list, gchar *name);
// Renvoie NULL si non trouvé
extern gpointer *gtk_data_list_get_by_name(GSList *list, gchar *name);
extern void gtk_data_list_remove_all(GSList *list);
#endif
